Intel® Quartus® Prime Software
Intel® Quartus® Prime Design Software, Design Entry, Synthesis, Simulation, Verification, Timing Analysis, System Design (Platform Designer, formerly Qsys)
Announcements
The Intel sign-in experience is changing in February to support enhanced security controls. If you sign in, click here for more information.
15799 Discussions

Platform Designer problem WSL

elamre
Beginner
453 Views

Hello, I'm trying to migrate an old project, quartus II/15, to the latest quartus standard edition:

Quartus 21.1.0 Build 842

Patches Installed: 0.01std

 

Previously the project was run and built in Linux. now I'm trying to get it to work under windows 11

Back during quartusII development I used QSys, I see now that that has been changed for Platform Designer. Whenever I try to Generate HDL I get the following issue:

 

 

 

Error: s0: Error during execution of "{C:/intelfpga/21.1/quartus/../nios2eds/Nios II Command Shell.bat} make all 2>> stderr.txt": child process exited abnormally
Error: s0: Execution of command "{C:/intelfpga/21.1/quartus/../nios2eds/Nios II Command Shell.bat} make all 2>> stderr.txt" failed
Error: s0: Nios II Command Shell.bat requires Windows Subsystem for Linux (WSL) to run.
Error: s0: Please install WSL and try again.
Error: s0: child process exited abnormally
Error: s0: Cannot find sequencer/sequencer.elf
Error: s0: An error occurred
    while executing
"error "An error occurred""
    (procedure "_error" line 8)
    invoked from within
"_error "Cannot find $seq_file""
    ("if" then script line 2)
    invoked from within
"if {[file exists $seq_file] == 0} {
		_error "Cannot find $seq_file"
	}"
    (procedure "alt_mem_if::util::seq_mem_size::get_max_memory_usage" line 14)
    invoked from within
"alt_mem_if::util::seq_mem_size::get_max_memory_usage [file join "sequencer" "sequencer.elf""
    invoked from within
"set calc_mem_size [alt_mem_if::util::seq_mem_size::get_max_memory_usage [file join "sequencer" "sequencer.elf"]]"
    ("if" then script line 2)
    invoked from within
"if { !$do_only_rw_mgr_mc && !($bfm_mode || $hps_mode)} {
		set calc_mem_size [alt_mem_if::util::seq_mem_size::get_max_memory_usage [file join "sequenc..."
    (procedure "generate_qsys_sequencer_sw" line 943)
    invoked from within
"generate_qsys_sequencer_sw $prepend_str $protocol $pre_compile_dir $fileset $inhdl_dir $rdimm $lrdimm 0 0  $nios_hex_file_name $ac_rom_init_file_name ..."
    invoked from within
"set seq_mem_size_list [generate_qsys_sequencer_sw $prepend_str $protocol $pre_compile_dir $fileset $inhdl_dir $rdimm $lrdimm 0 0  $nios_hex_file_name ..."
    ("if" else script line 2)
    invoked from within
"if {[::alt_mem_if::util::qini::qini_value alt_mem_if_seq_size_request 0] > 0} {
		set seq_mem_size [::alt_mem_if::util::qini::qini_value alt_mem_if_se..."
    (procedure "alt_mem_if::gen::uniphy_gen::generate_qsys_sequencer" line 238)
    invoked from within
"alt_mem_if::gen::uniphy_gen::generate_qsys_sequencer "${name}" $protocol $tmpdir $fileset {}"
    invoked from within
"set qsys_sequencer_files_list [alt_mem_if::gen::uniphy_gen::generate_qsys_sequencer "${name}" $protocol $tmpdir $fileset {}]"
    (procedure "alt_mem_if::gen::uniphy_gen::generate_sequencer_files" line 3)
    invoked from within
"alt_mem_if::gen::uniphy_gen::generate_sequencer_files $name "DDR3" $tmpdir QUARTUS_SYNTH"
    invoked from within
"foreach generated_file [alt_mem_if::gen::uniphy_gen::generate_sequencer_files $name "DDR3" $tmpdir QUARTUS_SYNTH] {
		set file_name [file tail $genera..."
    (procedure "generate_synth" line 8)
    invoked from within
"generate_synth soc_system_mem_if_ddr3_emif_0_s0"
Error: Generation stopped, 253 or more modules remaining
Error: qsys-generate failed with exit code 1: 8 Errors, 8 Warnings

 

 

I see that I'm not the only one with this issue, and I've tried different solutions. 

1) Tried installing the patch: 

https://www.intel.com/content/www/us/en/support/programmable/articles/000088789.html

2) Tried running while WSL is disabled

3) Tried installing Ubuntu and some packages (saw this 'solution' in another post)

 

It's a fresh Quartus installation, I can use WSL fine from terminal

0 Kudos
3 Replies
aikeu
Employee
415 Views

Hi elamre,


I have checked and it is like a known issue from other similar cases which happened when worked in Windows environment.

The was a case filed before but still in investigating state. 

It will definately take some time for this issue to be resolved. 


The suggestion I have is to build your project using Linux at the moment. Do feedback to me if there is any concern.


Thanks.

Regards,

Aik Eu


aikeu
Employee
379 Views

Hi elamre,


I recommend to use the Quartus Linux version instead for now.

The Quartus Windows version will have these errors. I was filling this issue to engineering regarding this matter.

I will close this thread for now.



Thanks.

Regards,

Aik Eu


AhmadSaleh
Beginner
116 Views

Hi,

 

First, make sure you do all the steps related to the WSL indicated here.


In my case, the problem is due to the WSL default distribution. It should be set on Ubuntu-18.04.
You can list the WSL distributions and check the default using this command:

 

wsl --list

 

Also, you can set Ubuntu-18.04 as the default distribution using the following command:

 

wsl -s Ubuntu-18.04

 

 

Reply